API-Version
v2
Request-Methode
PUT
Operation-ID
dns-update-record-set
This operation can be used to update and replace individual DNS record sets.
Usage for different record types
Setting A and AAAA records
A and AAAA records can be set in a single request by providing "a" as recordSet parameter:
PUT /v2/dns-zones/{dnsZoneId}/record-sets/a HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json
{
"a": [
"203.0.113.1",
"203.0.113.2"
],
"aaaa": [
"2001:0DB8::1",
"2001:0DB8::2"
],
"settings": {
"ttl": {
"auto": true
}
}
}
Vollständige Request-Referenz: PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}
Setting an A and/or AAAA record will override the default DNS records provided by the mittwald platform. To reset
the records to being managed by the platform, use the POST/v2/
Setting CNAME records
CNAME records can be set as follows:
PUT /v2/dns-zones/{dnsZoneId}/record-sets/cname HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json
{
"fqdn": "your-cname-target.example",
"settings": {
"ttl": {
"auto": true
}
}
}
Vollständige Request-Referenz: PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}
Setting MX records
MX records can be set as follows:
PUT /v2/dns-zones/{dnsZoneId}/record-sets/mx HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json
{
"records": [
{
"fqdn": "mx01.your-mailserver.example",
"priority": 10
},
{
"fqdn": "mx02.your-mailserver.example",
"priority": 10
}
],
"settings": {
"ttl": {
"auto": true
}
}
}
Vollständige Request-Referenz: PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}
Setting TXT records
TXT records can be set as follows:
PUT /v2/dns-zones/{dnsZoneId}/record-sets/txt HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json
{
"entries": [
"foo",
"bar"
],
"settings": {
"ttl": {
"auto": true
}
}
}
Vollständige Request-Referenz: PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}
Setting SRV records
SRV records can be set as follows:
PUT /v2/dns-zones/{dnsZoneId}/record-sets/txt HTTP/1.1
Host: api.mittwald.de
Content-Type: application/json
{
"records": [
{
"fqdn": "service.your-domain.example",
"port": 8080,
"priority": 10,
"weight": 10
}
],
"settings": {
"ttl": {
"auto": true
}
}
}
Vollständige Request-Referenz: PUT/v2/dns-zones/{dnsZoneId}/record-sets/{recordSet}
Request
Responses
Nutzungsbeispiele
$ curl \
--fail \
--location \
-X PUT \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns-zones/f0f86186-0a5a-45b2-aa33-502777496347/record-sets/a
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.dnsUpdateRecordSet({
"dnsZoneId": "f0f86186-0a5a-45b2-aa33-502777496347",
"recordSet": "a",
"data": {}
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsUpdateRecordSet\DnsUpdateRecordSetRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsUpdateRecordSet\DnsUpdateRecordSetRequestBody;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
// TODO: Please consult the properties and constructor signature of
// DnsUpdateRecordSetRequestBody to learn how to construct a valid instance
$body = new DnsUpdateRecordSetRequestBody(/* TODO: ... */);
$request = (new DnsUpdateRecordSetRequest(
dnsZoneId: "f0f86186-0a5a-45b2-aa33-502777496347",
recordSet: "a",
body: $body
));
$response = $client->domain()->dnsUpdateRecordSet($request);
var_dump($response->getBody();